
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Docker技术入门与实战（第2版）1.1　什么是Docker / iVAN</title>

    <meta name="description" content="Docker技术入门与实战（第2版）1.1　什么是Docker 初识容器与Docker 如果说主机时代大家比拼的是单个服务器物理性能(如CPU主频和内存),那么在云时代,最为看重的则是凭借虚拟化技术所构建的集群处理能力. 伴随着信息技术的飞速发展,虚拟化技术早已经广泛应用到各种关键场景中.从20世纪60年代IBM推出的大型主机虚拟化,到后来以Xen.KVM为代表的虚拟机虚拟化,再到现在以Docker为代表的容器技术,虚拟化技术自身也在不断进行创新和突破. 传统来看,虚拟化既可以通过硬件模拟来实现,也可以通过操作系统软件来实现.而容器技术则更为优雅,它充分利用">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Docker技术入门与实战（第2版）1.1　什么是Docker</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>初识容器与Docker</p>
<p>如果说主机时代大家比拼的是单个服务器物理性能（如CPU主频和内存），那么在云时代，最为看重的则是凭借虚拟化技术所构建的集群处理能力。</p>
<p>伴随着信息技术的飞速发展，虚拟化技术早已经广泛应用到各种关键场景中。从20世纪60年代IBM推出的大型主机虚拟化，到后来以Xen、KVM为代表的虚拟机虚拟化，再到现在以Docker为代表的容器技术，虚拟化技术自身也在不断进行创新和突破。</p>
<p>传统来看，虚拟化既可以通过硬件模拟来实现，也可以通过操作系统软件来实现。而容器技术则更为优雅，它充分利用了操作系统本身已有的机制和特性，可以实现远超传统虚拟机的轻量级虚拟化。因此，有人甚至把它称为“新一代的虚拟化”技术，并将基于容器打造的云平台亲切地称为“容器云”。</p>
<p>Docker毫无疑问正是众多容器技术中的佼佼者，是容器技术发展过程中耀眼的一抹亮色。那么，什么是Docker？它会带来哪些好处？它跟现有虚拟化技术又有何关系？</p>
<p>本章首先会介绍Docker项目的起源和发展过程，之后会为大家剖析Docker和相关容器技术，以及它在DevOps等场景带来的巨大便利。最后，还将阐述Docker在整个虚拟化领域中的技术定位。</p>
<p><b>1.1　什么是Docker</b></p>
<p><b><br /></b></p>
<p>1.?Docker开源项目背景</p>
<p>Docker是基于Go语言实现的开源容器项目，诞生于2013年年初，最初发起者是dotCloud公司。Docker自开源后受到广泛的关注和讨论，目前已有多个相关项目（包括Docker三剑客、Kubernetes等），逐渐形成了围绕Docker容器的生态体系。</p>
<p>由于Docker在业界造成的影响力实在太大，dotCloud公司后来也直接改名为Docker Inc，并专注于Docker相关技术和产品的开发。</p>
<p> </p>
<p>图1-1　Docker官方网站</p>
<p>Docker项目已加入了Linux基金会，并遵循Apache2.0协议，全部开源代码均在https://github.com/docker/docker上进行维护。在Linux基金会最近一次关于“最受欢迎的云计算开源项目”的调查中，Docker仅次于2010年发起的OpenStack项目，并仍处于上升趋势。</p>
<p>现在主流的Linux操作系统都已经支持Docker。例如，红帽公司的RHEL 6.5/CentOS 6.5往上的操作系统、Ubuntu 14.04往上的操作系统，都已经在软件源中默认带有Docker软件包。Google公司宣称在其PaaS（Platform as a Service）平台及服务产品中广泛应用了Docker容器。IBM公司跟Docker公司达成了战略合作伙伴关系。微软公司在其云平台Azure上加强了对Docker的支持。公有云提供商亚马逊也推出了AWS EC2 Container服务，提供对Docker和容器业务的支持。</p>
<p>Docker的构想是要实现“Build, Ship and Run Any App, Anywhere”，即通过对应用的封装（Packaging）、分发（Distribution）、部署（Deployment）、运行（Runtime）生命周期进行管理，达到应用组件“一次封装，到处运行”的目的。这里的应用组件，既可以是一个Web应用、一个编译环境，也可以是一套数据库平台服务，甚至是一个操作系统或集群。</p>
<p>基于Linux平台上的多项开源技术，Docker提供了高效、敏捷和轻量级的容器方案，并支持部署到本地环境和多种主流云平台。可以说，Docker首次为应用的开发、运行和部署提供了“一站式”的实用解决方案。</p>
<p>2.?Linux容器技术——巨人的肩膀</p>
<p>跟大部分新兴技术的诞生一样，Docker也并非“从石头缝里蹦出来的”，而是站在前人的肩膀上，其中最重要的就是Linux容器（Linux Containers，LXC）技术。</p>
<p>IBM DeveloperWorks网站关于容器技术的描述十分准确：“容器有效地将由单个操作系统管理的资源划分到孤立的组中，以更好地在孤立的组之间平衡有冲突的资源使用需求。与虚拟化相比，这样既不需要指令级模拟，也不需要即时编译。容器可以在核心CPU本地运行指令，而不需要任何专门的解释机制。此外，也避免了准虚拟化（paravirtualization）和系统调用替换中的复杂性。”</p>
<p>当然，LXC也经历了长期的演化。最早的容器技术可以追溯到1982年Unix系列操作系统上的chroot工具（直到今天，主流的Unix、Linux操作系统仍然支持和带有该工具）。早期的容器实现技术包括Sun Solaris操作系统上的Solaris Containers（2004年发布），FreeBSD操作系统上的FreeBSD jail（2000年左右出现），以及GNU/Linux上的Linux-VServer和OpenVZ。</p>
<p>在LXC之前，这些相关技术经过多年的演化已经十分成熟和稳定，但是由于种种原因，它们并没有被很好地集成到主流的Linux内核中，用户使用起来并不方便。例如，如果用户要使用OpenVZ技术，需要先手动给操作系统打上特定的内核补丁方可使用，而且不同版本并不一致。类似的困难造成在很长一段时间内，这些优秀的技术只流传于技术人员的小圈子中。</p>
<p>后来LXC项目借鉴了前人成熟的容器设计理念，并基于一系列新引入的内核特性，实现了更具扩展性的虚拟化容器方案。更加关键的是，LXC终于被集成到了主流Linux内核中，进而成为了Linux系统轻量级容器技术的事实标准。从技术层面来看，LXC已经趟过了绝大部分的“坑”，完成了容器技术实用化的大半历程。</p>
<p>3.?从Linux容器到Docker</p>
<p>在LXC的基础上，Docker进一步优化了容器的使用体验，让它进入了寻常百姓家。</p>
<p>首先，Docker提供了各种容器管理工具（如分发、版本、移植等）让用户无需关注底层的操作，可以更简单明了地管理和使用容器；其次，Docker通过引入分层文件系统构建和高效的镜像机制，降低了迁移难度，极大地提升了用户体验。用户操作Docker容器就像操作应用自身一样简单。</p>
<p>早期的Docker代码实现是直接基于LXC的。自0.9版本开始，Docker开发了libcontainer项目，作为更广泛的容器驱动实现，从而替换掉了LXC的实现。目前，Docker还积极推动成立了runC标准项目，试图让容器支持不再局限于Linux操作系统，而是更安全、更具扩展性。</p>
<p>简单地讲，读者可以将Docker容器理解为一种轻量级的沙盒（sandbox）。每个容器内运行着一个应用，不同的容器相互隔离，容器之间也可以通过网络互相通信。容器的创建和停止都十分快速，几乎跟创建和终止原生应用一致；另外，容器自身对系统资源的额外需求也十分有限，远远低于传统虚拟机。很多时候，甚至直接把容器当作应用本身也没有任何问题。</p>
<p>有理由相信，Docker技术会进一步成熟，将成为更受欢迎的容器虚拟化技术实现，并在云计算和DevOps等领域得到更广泛的应用。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-06 17:52:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e5%b9%b3%e5%8f%b0/" title="云平台">云平台</a>, <a href="https://www.iamivan.net/tag/%e9%9b%86%e7%be%a4/" title="集群">集群</a>, <a href="https://www.iamivan.net/tag/%e6%93%8d%e4%bd%9c%e7%b3%bb%e7%bb%9f/" title="操作系统">操作系统</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/%e5%ae%b9%e5%99%a8/" title="容器">容器</a>, <a href="https://www.iamivan.net/tag/docker/" title="docker">docker</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Docker技术入门与实战（第2版）1.1　什么是Docker的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ129wb.html" rel="bookmark">《Docker技术入门与实战》&mdash;&mdash;1&period;2　为什么要使用Docker</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 为什么要使用Docker Docker容器虚拟化的好处Docker项目的发起人和Docker Inc.的CTO Solomon Hykes认为,Docker在正确的地点.正确的时间顺应了正确的趋势-即高效地构建应用.现在开发者需要能方便地创建运行在云平台上的应用,也就是说应用必须能够脱离底层机器,而且同时必须是&quot;任何时间任何地点&quot;可获取的.因此,开发者们需要一种创建分布式应用程序的方式,这也是Docker所能够提供的.举个简单的应用场景的例子.假设用户试图基于最常见的LAMP(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7QW2z.html" rel="bookmark">Docker技术入门与实战（第2版）&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				容器技术系列 Docker技术入门与实战 第2版 杨保华 戴王剑 曹亚仑 编著 图书在版编目(CIP)数据 Docker技术入门与实战 / 杨保华,戴王剑,曹亚仑编著. -2版. -北京:机械工业出版社,2017.1 (容器技术系列) ISBN 978-7-111-55582-7 I. D- II. ①杨- ②戴- ③曹- III. Linux操作系统-程序设计 IV. TP316.85 中国版本图书馆CIP数据核字(2016)第308604号 本书从Docker基本原理开始,深入浅出地讲解Do			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ90yrb.html" rel="bookmark">赞一个 kindle电子书有最新的计算机图书可买了【Docker技术入门与实战】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近对docker这个比较感兴趣,找一个比较完整的书籍看看,在z.cn上找到了电子书,jd dangdang看来要加油啊 Docker技术入门与实战 [Kindle电子书] ~ 杨保华 戴王剑 曹亚仑 (作者) http://www.amazon.cn/Docker技术入门与实战-杨保华-戴王剑-曹亚仑/dp/B00SMJ0VFA/ref=sr_1_2?s=digital-text&amp;ie=UTF8&amp;qid=1435217727&amp;sr=1-2&amp;keywords=docker			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze60Rxb.html" rel="bookmark">Docker技术入门与实战（第2版&rpar;导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在一台服务器上同时运行一百个虚拟机,肯定会被认为是痴人说梦.而在一台服务器上同时运行一千个Docker容器,这已经成为现实.在计算机技术高速发展的今天,昔日的天方夜谭正在一个个变成现实. 多年的研发和运维(DevOps)经历中,笔者时常会碰到这样一个困境:用户的需求越来越多样,系统的规模越来越庞大,运行的软件越来越复杂,环境配置问题所造成的麻烦层出不穷--为了解决这些问题,开源社区推出过不少优秀的工具.这些方案虽然在某些程度上确能解决部分&quot;燃眉之急&quot;,但是始终没有一种方案能带来&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNmExJb.html" rel="bookmark">Docker技术入门与实战（第2版）2&period;1　核心概念</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				核心概念与安装配置 本章首先介绍Docker的三大核心概念. 镜像(Image) 容器(Container) 仓库(Repository) 只有理解了这三个核心概念,才能顺利地理解Docker容器的整个生命周期. 随后,笔者将介绍如何在常见的操作系统平台上安装Docker,包括Ubuntu.CentOS.MacOS和Windows等主流操作系统平台. 2.1 核心概念 Docker的大部分操作都围绕着它的三大核心概念--镜像.容器和仓库而展开.因此,准确把握这三大核心概念对于掌握Docker技术			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVna8b.html" rel="bookmark">Docker技术入门与实战（第2版）2&period;2　安装Docker</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 安装Docker Docker在主流的操作系统和云平台上都可以使用,包括Linux操作系统(如Ubuntu.Debian.CentOS.Redhat等).MacOS操作系统和Windows操作系统,以及AWS等云平台. 用户可以访问Docker官网的Get Docker(https://www.docker.com/products/overview)页面,查看获取Docker的方式,以及Docker支持的平台类型,如图2-2所示.   图2-2 获取Docker 在Get Docker			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9N1Qvp.html" rel="bookmark">Docker技术入门与实战（第2版）1&period;2　为什么要使用Docker</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 为什么要使用Docker 1.?Docker容器虚拟化的好处 Docker项目的发起人和Docker公司CTO Solomon Hykes曾认为,Docker在正确的地点.正确的时间顺应了正确的趋势--如何正确地构建应用. 在云时代,开发者创建的应用必须要能很方便地在网络上传播,也就是说应用必须脱离底层物理硬件的限制:同时必须是&quot;任何时间.任何地点&quot;可获取的.因此,开发者需要一种新型的创建分布式应用程序的方式,快速分发和部署,这正是Docker所能够提供的最大优势. 举个简单的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmBEdlz.html" rel="bookmark">Docker技术入门与实战（第2版）3&period;1　获取镜像</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用Docker镜像 镜像(image)是Docker三大核心概念中最为重要的,自Docker诞生之日起&quot;镜像&quot;就是相关社区最为热门的关键词. Docker运行容器前需要本地存在对应的镜像,如果镜像没保存在本地,Docker会尝试先从默认镜像仓库下载(默认使用Docker Hub公共注册服务器中的仓库),用户也可以通过配置,使用自定义的镜像仓库. 本章将介绍围绕镜像这一核心概念的具体操作,包括如何使用pull命令从Docker Hub仓库中下载镜像到本地,如何查看本地已有的镜像信息和管			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWd1JGp.html" rel="bookmark">Docker技术入门与实战（第2版）1&period;4　本章小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 本章小结 本章介绍了容器虚拟化的基本概念.Docker的诞生及发展历史,以及容器在云时代应用分发场景下的巨大优势. 与传统的虚拟机相比,容器虚拟化方式在很多场景下都有极为明显的优势.无论是系统管理员.应用开发人员.测试人员以及运维管理人员,都应该尽快掌握Docker,尽早享受其带来的巨大便利. 后续章节,笔者将结合实践案例具体介绍Docker的安装.使用,让我们一起开启精彩的Docker之旅.        			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZEnBp.html" rel="bookmark" class="title">路由器配置攻略</a>
					<div>
						对于中小企业的网络管理,用户的管理是一个很常见的问题.例如:有限的IP如何分配?如何管制不同员工上网权限?如何阻挡访客使用企业网络?如何分派较多带宽给高管或是老总?这些问题,都在在影响企业网络的安全性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpddP2p.html" rel="bookmark" class="title">MySQL数据库中的安全解决方案</a>
					<div>
						随着网络的普及,基于网络的应用也越来越多.网络数据库就是其中之一.通过一台或几台服务器可以为很多客户提供服务,这种方式给人们带来了很多方便,但也给不法分子造成了可乘之机.由于数据都是通过网络传输的,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk1P1b.html" rel="bookmark" class="title">深入讨论JSF中Tree2组件使用方法</a>
					<div>
						js Tree2组件使用HTML表格将你的数据呈现为一个树.这个树是动态的:当用户点击它们时它们可以展开或者折叠.该组件同时支持客户端和服务端的交互方式,在客户端交互时使用了JavaScript.在随 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY6xep.html" rel="bookmark" class="title">案例分析：网站被拔毛的原因与解决方法</a>
					<div>
						最近,站长地带被百度拔毛了,不是简单的首页被K或者降权,是所有的内容都消失在百度搜索里面.很多朋友劝我,重新换的域名,再来过.老实讲,网站就是自己的孩子,运营了三年多了,有点不忍心.于是根据最近百度算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrlP4p.html" rel="bookmark" class="title">Photoshop给草地儿童照片调出橙黄色教程</a>
					<div>
						儿童图片比较适合用较为鲜艳的颜色,作者这方面把握的非常好.主色用了橙黄色,同时在暗部增加了一些蓝紫色作为补色,这样图片颜色就不会太单调. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开原图素 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7DVZb.html" rel="bookmark" class="title">如何将word2013转成PDF</a>
					<div>
						  将word2013转成PDF的步骤如下: 步骤一:鼠标左键双击计算机桌面Word2013程序图标,将其打开运行.在打开的Word2013程序打开我们需要进行编辑转换的Word文档.如图所示; 步骤 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3wXvp.html" rel="bookmark" class="title">如何从3个方面判断是否做交互动画</a>
					<div>
						  IOS 7出来后,交互动画立刻成为设计师的抢手货,有关动效设计的教程都趁势火了一把,但是很少有人讨论到底该不该做交互动画,如果做,为什么?今天终于有同学分享了他的观点,一旦符合文中提到的3个方面, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm25Wz.html" rel="bookmark" class="title">体验Windows 8系统自带防火墙</a>
					<div>
						  按&quot;Win+W&quot;进入Win8系统的设置搜索界面(触屏用户可以从屏幕右侧向中间划动然后从超级按钮菜单中选择搜索),输入关键字&quot;防火墙&quot;,左边立刻出现Windo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj97Lb.html" rel="bookmark" class="title">PS这种画面很纯净的风格如何做后期？</a>
					<div>
						&quot; 这种画面很纯净的风格如何做后期?&quot;在知乎看到这一篇文章详细的分享思路,分享给大家,巧用photoshop打造小清新的文艺风格的照片效果,简单粗暴,有兴趣的可以动手试试 分类:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYmekM.html" rel="bookmark" class="title">win7电脑开机时提示DISK BOOT FAILURE怎么办</a>
					<div>
						  不少朋友都喜欢使用硬盘安装win7旗舰版64位系统下载的方法来重装电脑,因为相对来说,用硬盘安装win7旗舰版的方法会比光盘简单方便许多,比网上直接下载程序又要稳定很多,因此受到不少用户的欢迎和支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYo6OM.html" rel="bookmark" class="title">了解世界各地天气情况 Macbook设置电脑天气小工具</a>
					<div>
						  Macbook电脑有很多工具可以供使用,比如今天我给大家说的天气小工具,可以让你在同一个桌面上了解世界各地的天气情况,方便出行.下面小编为大家介绍Macbook设置电脑天气小工具方法! 方法/步骤 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkJPOb.html" rel="bookmark" class="title">改造内部http应用，防止DDOS攻击（设计规划篇）</a>
					<div>
						分布式拒绝服务(DDoS:Distributed Denial of Service)攻击指借助于客户/服务器技术,将多个计算机联合起来作为攻击平台,对一个或多个目标发动DDoS攻击,从而成倍地提高拒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8QkGb.html" rel="bookmark" class="title">PHP&plus;SQL 注入攻击的技术实现以及预防办法&lowbar;php技巧</a>
					<div>
						1. php 配置文件 php.ini 中的 magic_quotes_gpc 选项没有打开,被置为 off 2. 开发者没有对数据类型进行检查和转义 不过事实上,第二点最为重要.我认为, 对用户输入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7AKoz.html" rel="bookmark" class="title">Java的Spring框架中AOP项目的一般配置和部署教程&lowbar;java</a>
					<div>
						0.关于AOP面向切面编程(也叫面向方面编程):Aspect Oriented Programming(AOP),是软件开发中的一个热点,也是Spring框架中的一个重要内容.利用AOP可以对业务逻辑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6R79b.html" rel="bookmark" class="title">c&plus;&plus;-报错&OpenCurlyDoubleQuote;使用简体中文&lpar;GB2312&rpar;编码加载文件时，有些字节已用Unicode替换字符替换&rdquo;</a>
					<div>
						问题描述 报错&quot;使用简体中文(GB2312)编码加载文件时,有些字节已用Unicode替换字符替换&quot; 以前遇到过这样的问题,是因为我要往一个不存在的文件夹路径写文件,这次我的程序已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7aAWM.html" rel="bookmark" class="title">想求计算机组成原理的一个答案</a>
					<div>
						问题描述 想求计算机组成原理的一个答案 已知:计算串行传输2页,每页80*20个字符共需要多少位?假设每个字符8位,1位起始位和一位结束位.写出MOV R1 , R0流程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0wKDM.html" rel="bookmark" class="title">hibernate 提交sql 报错  could not execute native bulk manipulation query</a>
					<div>
						问题描述 在线急等答案~~!!~~郁闷中!!~~~读取BB表中的数据,处理后,放入AA表中sql语句:insert into AA (id,ad_code,ip_num,push_value,clic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKK6Bb.html" rel="bookmark" class="title">&period;net 显示xml文件问题&comma;高手请进</a>
					<div>
						问题描述 DOMDocumentdom=newDOMDocument();dom.load(Retrieval.responseXML);IXMLDOMNodeListxnl=dom.document ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AY3Nz.html" rel="bookmark" class="title">start-急求spring高手。启动时报错</a>
					<div>
						问题描述 急求spring高手.启动时报错 严重: Exception sending context initialized event to listener instance of class  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0doDM.html" rel="bookmark" class="title">城区划分网格单元层级管理</a>
					<div>
						7月以来,抚州市南城县财政拨款400余万元,以建昌镇凤凰路社区.交通路社区.万年桥村为网格化社会服务http://www.aliyun.com/zixun/aggregation/30785.html ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKqGDb.html" rel="bookmark" class="title">求&colon;精通J2EE-Eclipse Struts Hibernate Spring 整合应用案例&comma;电子完整版</a>
					<div>
						问题描述 兄弟们谁有&lt;精通J2EE-EclipseStrutsHibernateSpring整合应用案例&gt;,电子完整版啊?给小弟发一份吧谢谢!邮箱:wenny288@126.com 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKjgdb.html" rel="bookmark" class="title">子类表达的特色一定不能比父类多（转）</a>
					<div>
						继承是抽象的一种表现形式,如果子类抛出来的异常比父类更抽象,则相当于表现出比父类更多的特性,这是不符合继承的设计原则的 OO的五大原则是指 SRP(一个类一个职责,一个方法只做一件事).OCP(对扩展 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm2xmM.html" rel="bookmark" class="title">《制造业中的机器人、自动化和系统集成》&mdash;&mdash; 3&period;8 安全与防护</a>
					<div>
						本节书摘来自华章出版社&lt;制造业中的机器人.自动化和系统集成&gt;一书中的第3章,第3.8节,作者［英］ 麦克·威尔逊(Mike Wilson),更多章节内容可以访问&quot;华章计算机&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1AAoz.html" rel="bookmark" class="title">手机软件开发</a>
					<div>
						问题描述 去一家公司面试,他是做手机软件开发的,我以前没有接触过手机软件开发,公司要我回来先自己熟悉手机软件开发.请问一下我该从哪一方面入手,用什么开发工具,能给我推荐几本教程吗? 解决方案 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1roXop.html" rel="bookmark" class="title">苹果iPad&sol;iPad5 截图技巧</a>
					<div>
						1.我们在ipad中点击&quot;设置&quot;  2.然后在左边点击&quot;通用&quot;然后在通用的右边点击&quot;辅助功能&quot;,如图所示 3.然后我们在右边会看到有一个&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40KV1z.html" rel="bookmark" class="title">游戏编程 flash&period;utils&period;Timer&lowbar;Flash As</a>
					<div>
						复制代码 代码如下: public function setNextObject() { nextObject = new Timer(1000+Math.random()*1000,1); next ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnRg5M.html" rel="bookmark" class="title">Oracle 跨操作系统 迁移 说明</a>
					<div>
						关于跨OS 的DB 迁移,MOS 上有相关的文章说明:[ID733205.1]. To migrate anexisting Oracle database (NOT BINARIES)  from  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnAL0M.html" rel="bookmark" class="title">高通、联芯围攻 联发科低端市场也要保不住？</a>
					<div>
						在供应链发达的今天,做手机不再是一件难事,这点看看深圳的华强北就知道了.只要有钱,就可以很容易组装出一部手机.对于手机市场来说,摆在台面上的是各家手机品牌之间的竞争,暗地里则是手机芯片厂商之间的竞争. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqaP1b.html" rel="bookmark" class="title">html css 图片居中</a>
					<div>
						与其他一些display属性类似,table-cell同样会被其他一些CSS属性破坏,例如float, position:absolute,所以,在使用display:table-cell与float ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE48XM.html" rel="bookmark" class="title">c&num; 中括号出现字符串</a>
					<div>
						问题描述 看不懂下面程序中mo[&quot;IPEnabled&quot;]为啥中括号中可以出现字符串&quot;IPEnabled&quot;staticvoidSetNetworkAdapter( ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
